---
lang: en
title: 'API docs: authentication-jwt.myuserservice'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.myuserservice.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [MyUserService](./authentication-jwt.myuserservice.md)

## MyUserService class

**Signature:**

```typescript
export declare class MyUserService implements UserService<User, Credentials> 
```
**Implements:** [UserService](./authentication.userservice.md)<!-- -->&lt;[User](./authentication-jwt.user.md)<!-- -->, [Credentials](./authentication-jwt.credentials.md)<!-- -->&gt;

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(userRepository)](./authentication-jwt.myuserservice._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `MyUserService` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[userRepository](./authentication-jwt.myuserservice.userrepository.md)


</td><td>


</td><td>

[UserRepository](./authentication-jwt.userrepository.md)


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[convertToUserProfile(user)](./authentication-jwt.myuserservice.converttouserprofile.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[findUserById(id)](./authentication-jwt.myuserservice.finduserbyid.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[verifyCredentials(credentials)](./authentication-jwt.myuserservice.verifycredentials.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>

